<?xml version="1.0"?>
<GTK-Interface>

<project>
  <name>mp3_primary</name>
  <program_name>mp3</program_name>
  <directory></directory>
  <source_directory>src</source_directory>
  <pixmaps_directory>pixmaps</pixmaps_directory>
  <language>C</language>
  <gnome_support>True</gnome_support>
  <gettext_support>True</gettext_support>
</project>

<widget>
  <class>GtkWindow</class>
  <name>window2</name>
  <visible>False</visible>
  <title>window2</title>
  <type>GTK_WINDOW_TOPLEVEL</type>
  <position>GTK_WIN_POS_NONE</position>
  <modal>False</modal>
  <allow_shrink>False</allow_shrink>
  <allow_grow>True</allow_grow>
  <auto_shrink>True</auto_shrink>

  <widget>
    <class>GtkFrame</class>
    <name>main_widget</name>
    <signal>
      <name>drag_data_received</name>
      <handler>gdam_mp3_frame_drag_data_received</handler>
      <last_modification_time>Wed, 06 Oct 1999 02:18:17 GMT</last_modification_time>
    </signal>
    <label_xalign>0</label_xalign>
    <shadow_type>GTK_SHADOW_NONE</shadow_type>

    <widget>
      <class>GtkVBox</class>
      <name>vbox1</name>
      <signal>
	<name>drag_data_received</name>
	<handler>gdam_producer_mp3_cacheable_loop_dest</handler>
	<last_modification_time>Tue, 23 Jan 2001 03:44:36 GMT</last_modification_time>
      </signal>
      <homogeneous>False</homogeneous>
      <spacing>0</spacing>

      <widget>
	<class>GtkNotebook</class>
	<name>notebook1</name>
	<can_focus>True</can_focus>
	<show_tabs>True</show_tabs>
	<show_border>False</show_border>
	<tab_pos>GTK_POS_RIGHT</tab_pos>
	<scrollable>False</scrollable>
	<tab_hborder>0</tab_hborder>
	<tab_vborder>0</tab_vborder>
	<popup_enable>False</popup_enable>
	<child>
	  <padding>0</padding>
	  <expand>True</expand>
	  <fill>True</fill>
	</child>

	<widget>
	  <class>GtkVBox</class>
	  <name>vbox2</name>
	  <homogeneous>False</homogeneous>
	  <spacing>0</spacing>

	  <widget>
	    <class>GtkHBox</class>
	    <name>hbox1</name>
	    <homogeneous>False</homogeneous>
	    <spacing>0</spacing>
	    <child>
	      <padding>0</padding>
	      <expand>True</expand>
	      <fill>True</fill>
	    </child>

	    <widget>
	      <class>GtkButton</class>
	      <name>file_button</name>
	      <tooltip>open song selector</tooltip>
	      <can_focus>True</can_focus>
	      <signal>
		<name>gdam-left-clicked</name>
		<handler>gdam_skin_launch_unique:GdamPacker:songsel.xml:GdamSongSelector</handler>
		<last_modification_time>Tue, 01 Feb 2000 17:22:17 GMT</last_modification_time>
	      </signal>
	      <signal>
		<name>gdam-control-clicked</name>
		<handler>gdam_skin_launch:GdamPacker:songsel_palette.xml:GdamSongSelector</handler>
		<last_modification_time>Tue, 01 Feb 2000 17:22:17 GMT</last_modification_time>
	      </signal>
	      <label>O</label>
	      <child>
		<padding>0</padding>
		<expand>False</expand>
		<fill>False</fill>
	      </child>
	    </widget>

	    <widget>
	      <class>GtkButton</class>
	      <name>button3</name>
	      <tooltip>import file from song selector</tooltip>
	      <can_focus>True</can_focus>
	      <signal>
		<name>clicked</name>
		<handler>gdam_mp3_import_songsel_files</handler>
		<last_modification_time>Thu, 17 Feb 2000 03:58:00 GMT</last_modification_time>
	      </signal>
	      <label>=&gt;</label>
	      <child>
		<padding>0</padding>
		<expand>False</expand>
		<fill>False</fill>
	      </child>
	    </widget>

	    <widget>
	      <class>GtkEntry</class>
	      <name>filename_entry</name>
	      <can_focus>True</can_focus>
	      <signal>
		<name>whatever</name>
		<handler>gdam_skin_label:filename:%s</handler>
		<last_modification_time>Tue, 05 Oct 1999 23:32:39 GMT</last_modification_time>
	      </signal>
	      <editable>False</editable>
	      <text_visible>True</text_visible>
	      <text_max_length>0</text_max_length>
	      <text>drop filename...</text>
	      <child>
		<padding>0</padding>
		<expand>True</expand>
		<fill>True</fill>
	      </child>
	    </widget>
	  </widget>

	  <widget>
	    <class>GtkHBox</class>
	    <name>hbox2</name>
	    <homogeneous>False</homogeneous>
	    <spacing>0</spacing>
	    <child>
	      <padding>0</padding>
	      <expand>True</expand>
	      <fill>True</fill>
	    </child>

	    <widget>
	      <class>GtkButton</class>
	      <name>button1</name>
	      <tooltip>mark the current time as the beginning of the loop</tooltip>
	      <can_focus>True</can_focus>
	      <signal>
		<name>clicked</name>
		<handler>gdam_producer_mp3_cacheable_punch_in</handler>
		<last_modification_time>Thu, 03 Feb 2000 02:20:29 GMT</last_modification_time>
	      </signal>
	      <label>start:</label>
	      <child>
		<padding>0</padding>
		<expand>False</expand>
		<fill>False</fill>
	      </child>
	    </widget>

	    <widget>
	      <class>GtkLabel</class>
	      <name>label1</name>
	      <signal>
		<name>whatever</name>
		<handler>gdam_skin_label:punch_in:%3.3f</handler>
		<last_modification_time>Fri, 07 Apr 2000 18:14:07 GMT</last_modification_time>
	      </signal>
	      <label>00:00</label>
	      <justify>GTK_JUSTIFY_CENTER</justify>
	      <wrap>False</wrap>
	      <xalign>0.5</xalign>
	      <yalign>0.5</yalign>
	      <xpad>3</xpad>
	      <ypad>0</ypad>
	      <child>
		<padding>0</padding>
		<expand>True</expand>
		<fill>True</fill>
	      </child>
	    </widget>

	    <widget>
	      <class>GtkLabel</class>
	      <name>label2</name>
	      <label>length: </label>
	      <justify>GTK_JUSTIFY_CENTER</justify>
	      <wrap>False</wrap>
	      <xalign>0.5</xalign>
	      <yalign>0.5</yalign>
	      <xpad>4</xpad>
	      <ypad>0</ypad>
	      <child>
		<padding>0</padding>
		<expand>False</expand>
		<fill>False</fill>
	      </child>
	    </widget>

	    <widget>
	      <class>GtkSpinButton</class>
	      <name>spinbutton1</name>
	      <tooltip>length of loop in beats</tooltip>
	      <can_focus>True</can_focus>
	      <signal>
		<name>value_changed</name>
		<handler>gdam_skin_adjustment:length_in_beats</handler>
		<last_modification_time>Fri, 07 Apr 2000 20:26:28 GMT</last_modification_time>
	      </signal>
	      <signal>
		<name>whatever</name>
		<handler>gdam_skin_defocus_on_activate</handler>
		<last_modification_time>Sat, 08 Apr 2000 05:21:13 GMT</last_modification_time>
	      </signal>
	      <climb_rate>1</climb_rate>
	      <digits>2</digits>
	      <numeric>True</numeric>
	      <update_policy>GTK_UPDATE_ALWAYS</update_policy>
	      <snap>False</snap>
	      <wrap>False</wrap>
	      <value>4</value>
	      <lower>1</lower>
	      <upper>128</upper>
	      <step>1</step>
	      <page>4</page>
	      <page_size>4</page_size>
	      <child>
		<padding>0</padding>
		<expand>True</expand>
		<fill>True</fill>
	      </child>
	    </widget>
	  </widget>

	  <widget>
	    <class>GtkHBox</class>
	    <name>hbox5</name>
	    <homogeneous>False</homogeneous>
	    <spacing>0</spacing>
	    <child>
	      <padding>0</padding>
	      <expand>True</expand>
	      <fill>True</fill>
	    </child>

	    <widget>
	      <class>GtkButton</class>
	      <name>button6</name>
	      <tooltip>read next loop description from database</tooltip>
	      <can_focus>True</can_focus>
	      <signal>
		<name>clicked</name>
		<handler>gdam_producer_mp3_cacheable_read</handler>
		<last_modification_time>Fri, 07 Apr 2000 19:19:05 GMT</last_modification_time>
	      </signal>
	      <label>r</label>
	      <child>
		<padding>0</padding>
		<expand>False</expand>
		<fill>False</fill>
	      </child>
	    </widget>

	    <widget>
	      <class>GtkButton</class>
	      <name>button5</name>
	      <tooltip>write loop description to database</tooltip>
	      <can_focus>True</can_focus>
	      <signal>
		<name>clicked</name>
		<handler>gdam_producer_mp3_cacheable_write</handler>
		<last_modification_time>Fri, 07 Apr 2000 08:16:32 GMT</last_modification_time>
	      </signal>
	      <label>w</label>
	      <child>
		<padding>0</padding>
		<expand>False</expand>
		<fill>False</fill>
	      </child>
	    </widget>

	    <widget>
	      <class>GtkEntry</class>
	      <name>entry1</name>
	      <tooltip>name for loop</tooltip>
	      <can_focus>True</can_focus>
	      <signal>
		<name>whatever</name>
		<handler>gdam_skin_entry:loop_name</handler>
		<last_modification_time>Sat, 08 Apr 2000 05:33:53 GMT</last_modification_time>
	      </signal>
	      <editable>True</editable>
	      <text_visible>True</text_visible>
	      <text_max_length>0</text_max_length>
	      <text></text>
	      <child>
		<padding>0</padding>
		<expand>True</expand>
		<fill>True</fill>
	      </child>
	    </widget>
	  </widget>
	</widget>

	<widget>
	  <class>GtkLabel</class>
	  <child_name>Notebook:tab</child_name>
	  <name>label3</name>
	  <label>s</label>
	  <justify>GTK_JUSTIFY_CENTER</justify>
	  <wrap>False</wrap>
	  <xalign>0.5</xalign>
	  <yalign>0.5</yalign>
	  <xpad>0</xpad>
	  <ypad>0</ypad>
	</widget>

	<widget>
	  <class>GtkVBox</class>
	  <name>vbox3</name>
	  <homogeneous>False</homogeneous>
	  <spacing>0</spacing>

	  <widget>
	    <class>GtkHBox</class>
	    <name>hbox4</name>
	    <signal>
	      <name>whatever</name>
	      <handler>gdam_skin_buffer_combo:buffer_id</handler>
	      <last_modification_time>Tue, 22 Aug 2000 00:19:54 GMT</last_modification_time>
	    </signal>
	    <homogeneous>False</homogeneous>
	    <spacing>0</spacing>
	    <child>
	      <padding>0</padding>
	      <expand>True</expand>
	      <fill>True</fill>
	    </child>

	    <widget>
	      <class>Placeholder</class>
	    </widget>
	  </widget>

	  <widget>
	    <class>GtkHBox</class>
	    <name>hbox3</name>
	    <homogeneous>False</homogeneous>
	    <spacing>0</spacing>
	    <child>
	      <padding>0</padding>
	      <expand>True</expand>
	      <fill>True</fill>
	    </child>

	    <widget>
	      <class>GtkToggleButton</class>
	      <name>togglebutton1</name>
	      <tooltip>play buffer rather than mp3</tooltip>
	      <can_focus>True</can_focus>
	      <signal>
		<name>toggled</name>
		<handler>gdam_skin_toggle_button:play_buffer</handler>
		<last_modification_time>Tue, 22 Aug 2000 00:20:59 GMT</last_modification_time>
	      </signal>
	      <label>play</label>
	      <active>False</active>
	      <child>
		<padding>0</padding>
		<expand>True</expand>
		<fill>True</fill>
	      </child>
	    </widget>

	    <widget>
	      <class>GtkButton</class>
	      <name>button2</name>
	      <tooltip>create a buffer of the loop</tooltip>
	      <can_focus>True</can_focus>
	      <signal>
		<name>clicked</name>
		<handler>gdam_producer_mp3_cacheable_export</handler>
		<last_modification_time>Thu, 03 Feb 2000 02:21:19 GMT</last_modification_time>
	      </signal>
	      <label>cache</label>
	      <child>
		<padding>0</padding>
		<expand>True</expand>
		<fill>True</fill>
	      </child>
	    </widget>

	    <widget>
	      <class>GtkButton</class>
	      <name>button7</name>
	      <visible>False</visible>
	      <can_focus>True</can_focus>
	      <label>free</label>
	      <child>
		<padding>0</padding>
		<expand>True</expand>
		<fill>True</fill>
	      </child>
	    </widget>

	    <widget>
	      <class>GtkButton</class>
	      <name>button4</name>
	      <can_focus>True</can_focus>
	      <signal>
		<name>clicked</name>
		<handler>gdam_skin_raise_or_launch:GdamHelpSkin:help.xml:GdamHelpSkin:cache</handler>
		<last_modification_time>Tue, 01 Feb 2000 17:51:30 GMT</last_modification_time>
	      </signal>
	      <label>help</label>
	      <child>
		<padding>0</padding>
		<expand>True</expand>
		<fill>True</fill>
	      </child>
	    </widget>
	  </widget>
	</widget>

	<widget>
	  <class>GtkLabel</class>
	  <child_name>Notebook:tab</child_name>
	  <name>label4</name>
	  <label>c</label>
	  <justify>GTK_JUSTIFY_CENTER</justify>
	  <wrap>False</wrap>
	  <xalign>0.5</xalign>
	  <yalign>0.5</yalign>
	  <xpad>0</xpad>
	  <ypad>0</ypad>
	</widget>
      </widget>
    </widget>
  </widget>
</widget>

</GTK-Interface>
